Bug 587758 - --include-globbing-filelist broken
--include-globbing-filelist broken
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rdiff-backup (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-30 15:30 EDT by Piratmac
Modified: 2011-06-27 11:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:59:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
include-globbing-filelist (548 bytes, text/plain)
2010-04-30 15:30 EDT, Piratmac
no flags Details
log with -v 9 (12.19 KB, text/plain)
2010-05-02 19:27 EDT, Piratmac
no flags Details

  None (edit)
Description Piratmac 2010-04-30 15:30:08 EDT
Created attachment 410582 [details]
include-globbing-filelist

Description of problem:

I use rdiff-backup with the option --include-globbine-filelist in order to prevent the backup of some files. rdiff-backup seems to ignore the exclusion of files (it saves everything)


Version-Release number of selected component (if applicable):
rdiff-backup 1.2.8


How reproducible:
I use this commandline, run by crontab (it doesn't change anything to run it manually) :
nice -n 19 rdiff-backup --force --max-file-size 5000000000 --include-globbing-filelist [path_to_list.txt] /home/PiratJack /backup/home

The path to the list is right (absolute path.)

My list.txt is included in the bug report.


Actual results:
Directories mentionned in the filelist with a "-" are saved.

Expected results:
Directories mentionned in the filelist with a "-" shouldn't be saved.


Thanks in advance !
Comment 1 Kevin Fenzi 2010-05-02 18:53:17 EDT
Can you re-run it with '-v 9' and attach the output?
Comment 2 Piratmac 2010-05-02 19:27:21 EDT
Created attachment 410875 [details]
log with -v 9
Comment 3 Piratmac 2010-05-02 19:28:24 EDT
Here is the required output. I have removed large parts of the output that were irrelevant (and potentially confidential)
Comment 4 Piratmac 2010-05-27 10:36:17 EDT
Hello,


As I have no news since quite a long time, I was wondering if there has been any new information since...
Sorry is I seem to much in a hurry, but I can't no longer save my files (it would occupy too much space on my backup disk)


Thanks !
Piratmac
Comment 5 Kevin Fenzi 2010-05-27 16:30:21 EDT
Sorry for the delay, I've been swamped. ;( 

In that output I am not seeing it save any directories in the list.txt. 
Can you confirm it's doing so now and there are not just old copies in your backup tree?
Comment 6 Piratmac 2010-05-27 16:52:48 EDT
I have absolutely no problem with the backup... Directories, files are saved exactly as the source. My log was only an incremental backup, so there were no new directories to save.

In fact, rdiff-backup is just saving *too much* data.
Comment 7 Kevin Fenzi 2010-05-27 17:53:52 EDT
No, I meant that the directories you are excluding seem to be correctly excluded? 

Can you see any output where it is doing those directories when it shouldn't be?
Comment 8 Piratmac 2010-05-28 03:43:13 EDT
The directories that I exclude are backuped...

For example :
in globbing-filelist :
- /home/PiratJack/.thunderbird/7zmdon4b.default/ImapMail

in the log :
Processing changed file .thunderbird/7zmdon4b.default/ImapMail/imap.gmail.com


I have also tried to exclude with the --exclude option (rdiff-backup --exclude /source/dir --include-globbing-filelist mylist.txt --exclude /source/dir), but it has the same behavior (the directory is backup)
Comment 9 Kevin Fenzi 2010-05-28 17:50:06 EDT
Sorry to ask for more info... ;) 

What is the filesystem type of both /home/ and /backup?
Are they both ext*?
Comment 10 Piratmac 2010-05-29 00:41:27 EDT
Yes ;) (ext4 for home and ext3 for /backup)
Comment 11 Piratmac 2010-06-10 15:01:37 EDT
Hello,


Have you got some news ? (I seem to be quite alone to have this bug...)


Thanks !
Piratmac
Comment 12 Kevin Fenzi 2010-06-10 15:09:39 EDT
I posted to the upstream devel list last week about this, but so far I haven't heard anything back. ;( 

I can look at filing and upstream bug or seeing if I can track this down more.
Comment 13 Piratmac 2010-06-10 15:16:45 EDT
Ok, thanks for the informations, even though they are not improving the situation...
Comment 14 Piratmac 2010-09-15 05:37:01 EDT
Hello,


Are there any improvement/reaction on this bug ?


Thanks !
Piratmac
Comment 15 Bug Zapper 2011-06-02 10:40:42 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2011-06-27 11:59:33 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.